package com.lukouguoji.gnj.page.yiku.list

import android.view.View
import com.lukouguoji.gnj.databinding.ItemGnjYikuListBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GnjYiKuBean

/**
 * 国内进港移库列表 ViewHolder
 */
class GnjYiKuListViewHolder(view: View) :
    BaseViewHolder<GnjYiKuBean, ItemGnjYikuListBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item)!!
        binding.bean = bean

        // 点击checkbox切换选中状态
        binding.ivIcon.setOnClickListener {
            bean.checked.set(!bean.checked.get())
        }
    }
}
